petsc-3.4.2 2013-07-02

# DMADDACreate

Creates and ADDA object that translate between coordinates in a geometric grid of arbitrary dimension and data in a PETSc vector distributed on several processors.

### Synopsis

    #include "petscdmadda.h"
    PetscErrorCode  DMADDACreate(MPI_Comm comm, PetscInt dim, PetscInt *nodes,PetscInt *procs,PetscInt dof, PetscBool  *periodic,DM *dm_p)

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator
| dim | - the dimension of the grid
| nodes | - array with d entries that give the number of nodes in each dimension
| procs | - array with d entries that give the number of processors in each dimension (or NULL if to be determined automatically)
| dof | - number of degrees of freedom per node
| periodic | - array with d entries that, i-th entry is set to true iff dimension i is periodic

### Output Parameters

adda -pointer to ADDA data structure that is created

Level:intermediate
Location:src/dm/impls/adda/adda.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex40.c.html